Name:		subtitleeditor
Version:	0.54.0
Release:	%mkrel 4
Summary:	Subtitle editor
Group:		Video/Editors and Converters
License:	GPLv3+
URL:		http://kitone.github.io/subtitleeditor/
Source:		https://github.com/kitone/subtitleeditor/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	intltool
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gstreamermm-1.0) >= 1.0
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.0
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(libxml++-2.6) >= 2.20
Requires:	iso-codes
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-ffmpeg
Requires:	mplayer

%description
Subtitle Editor is a GTK+3 tool to edit subtitles.

It can be used for new subtitles or as a tool to transform, edit, correct and
refine existing subtitle. This program also shows sound waves, which makes it
easier to synchronise subtitles to voices.

%prep
%setup -q
%autopatch -p1

# switch to enchant2
sed -i -e '/PKG_CHECK_MODULES/s,enchant,enchant-2,g' configure.ac

%build
autoreconf -vfi
%configure \
  --disable-static
%make_build

%install
%make_install

%find_lang %{name}

# we don't ship devel files for now
find %{buildroot} -name '*.la' -delete
rm -f %{buildroot}%{_libdir}/lib%{name}.so

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_libdir}/*.so.*
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/pixmaps/%{name}.svg
%{_mandir}/man1/*.1.*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.54.0-4.mga8
+ Revision: 1523127
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Feb 23 2019 wally <wally> 0.54.0-3.mga7
+ Revision: 1369585
- switch to enchant2

* Sun Sep 23 2018 umeabot <umeabot> 0.54.0-2.mga7
+ Revision: 1301222
- Mageia 7 Mass Rebuild

* Sat Aug 19 2017 daviddavid <daviddavid> 0.54.0-1.mga7
+ Revision: 1141660
- new version: 0.54.0
- remove merged upstream patches
- update URL and Source URL

* Sat Jun 03 2017 akien <akien> 0.53.0-2.mga6
+ Revision: 1106078
- Fix build against gstreamermm 1.8.0
- Rebuild for gstreamermm 1.8.0

* Mon Sep 26 2016 daviddavid <daviddavid> 0.53.0-1.mga6
+ Revision: 1057007
- new version: 0.53.0
- remove merged upstream patch
- fix description

* Fri Feb 12 2016 fwang <fwang> 0.52.1-1.mga6
+ Revision: 957575
- merge patch
- more updated patch
- drop ansi flags from configure
- add patch from upstream bug#23714 to fix build with gcc5 and c++11
- fix str fmt
- disable ansi build
- disable gl
- tweak switch
- br gstreamermm
- 0.52.1

* Wed Oct 15 2014 umeabot <umeabot> 0.41.1-3.mga5
+ Revision: 747913
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.41.1-2.mga5
+ Revision: 689574
- Mageia 5 Mass Rebuild

* Thu Mar 20 2014 tarakbumba <tarakbumba> 0.41.1-1.mga5
+ Revision: 605976
- Update to latest release
- Do not delete all *so* files. UI was broken.
- Add gstreamermm 0.10.11 related upstream patches

* Sat Oct 19 2013 umeabot <umeabot> 0.41.0-2.mga4
+ Revision: 531725
- Mageia 4 Mass Rebuild

* Fri Aug 09 2013 fwang <fwang> 0.41.0-1.mga4
+ Revision: 464846
- update rpm group
- cleanup spec
- new version 0.41.0
- new version 0.40.0
+ gil <gil>
- update to 0.39.0
+ ennael <ennael>
- clean spec file
- imported package subtitleeditor


* Sat Aug 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.37.1-1mdv2011.0
+ Revision: 567408
- update to new version 0.37.1

* Tue Apr 06 2010 Funda Wang <fwang@mandriva.org> 0.36.2-1mdv2010.1
+ Revision: 532064
- update to new version 0.36.2

* Thu Mar 25 2010 Funda Wang <fwang@mandriva.org> 0.36.1-1mdv2010.1
+ Revision: 527404
- update to new version 0.36.1

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 0.36.0-1mdv2010.1
+ Revision: 499587
- update to new version 0.36.0

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 0.35.1-1mdv2010.1
+ Revision: 485133
- update to new version 0.35.1

* Sat Nov 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.34.0-1mdv2010.1
+ Revision: 468053
- update to new version 0.34.0
- add buildrequires on libgstreamermm-devel
- fix url

* Sun Jun 28 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.33.0-1mdv2010.0
+ Revision: 390412
- update to new version 0.33.0

* Wed Jun 03 2009 Funda Wang <fwang@mandriva.org> 0.32.0-1mdv2010.0
+ Revision: 382449
- update file list
- New version 0.32.0

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.31.0-1mdv2010.0
+ Revision: 369364
- New version 0.31.0

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 0.30.0-1mdv2009.1
+ Revision: 308481
- fix file list
- add libtool as BR
- new version 0.30.0

* Mon Nov 03 2008 Funda Wang <fwang@mandriva.org> 0.26.0-1mdv2009.1
+ Revision: 299335
- New version 0.26.0

* Tue Oct 14 2008 Funda Wang <fwang@mandriva.org> 0.25.0-1mdv2009.1
+ Revision: 293444
- New version 0.25.0
- no need to modify categories now

* Sun Sep 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.24.1-1mdv2009.1
+ Revision: 289042
- update to new version 0.24.1
- update to new version 0.24.0
- update to new version 0.23.0

* Thu Aug 14 2008 Funda Wang <fwang@mandriva.org> 0.22.3-1mdv2009.0
+ Revision: 272088
- BR intltool
- New version 0.22.3

* Tue Aug 12 2008 Funda Wang <fwang@mandriva.org> 0.22.2-1mdv2009.0
+ Revision: 271154
- New version 0.22.2

* Mon Aug 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.22.1-1mdv2009.0
+ Revision: 270628
- update to new verion 0.22.1

  + Funda Wang <fwang@mandriva.org>
    - New version 0.22.0

* Wed Jun 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.21.3-1mdv2009.0
+ Revision: 228885
- update to new version 0.21.3

* Mon Jun 16 2008 Funda Wang <fwang@mandriva.org> 0.21.2-1mdv2009.0
+ Revision: 219627
- add manpage
- New version 0.21.2

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed May 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.21.1-1mdv2009.0
+ Revision: 209603
- update to new version 0.21.1

* Tue May 13 2008 Funda Wang <fwang@mandriva.org> 0.21.0-1mdv2009.0
+ Revision: 206519
- New version 0.21.0

* Tue Apr 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.20.0-2mdv2009.0
+ Revision: 196575
- add requires on gstreamer0.10-ffmpeg

* Mon Apr 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.20.0-1mdv2009.0
+ Revision: 196319
- add source and spec file
- Created package structure for subtitleeditor.

